### org.jfree.layouting.input.style.selectors

# Class CSSElementSelector

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.AbstractSelector`
  - - `org.jfree.layouting.input.style.selectors.CSSElementSelector`

Implemented Interfaces:
  ElementSelector, CSSSelector, Selector, Serializable

`public class CSSElementSelector`
`extends AbstractSelector`
`implements ElementSelector`

Creation-Date: 30.11.2005, 16:02:27

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSElementSelector(short selectorType, String namespace, String localName)`

  ## Method Summary

  `protected SelectorWeight`

  `createWeight()`

  `String`

  `getLocalName()`
    Returns the local part of the qualified name of this element.

  `String`

  `getNamespaceURI()`
    Returns the namespace URI of this element selector.

  `short`

  `getSelectorType()`
    An integer indicating the type of `Selector`

  ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

  `createWeight`, `getWeight`

## Constructor Details

### CSSElementSelector

    public CSSElementSelector(short selectorType,
                              String namespace,
                              String localName)

## Method Details

### createWeight

    protected SelectorWeight createWeight()

> Overrides:
>   createWeight in interface AbstractSelector

### getLocalName

    public String getLocalName()

> Returns the local part of the qualified name of this element.

> `NULL` if this element selector can match any element.

### getNamespaceURI

    public String getNamespaceURI()

> Returns the namespace URI of this element selector.

> `NULL` if this element selector can match any namespace.

### getSelectorType

    public short getSelectorType()

> An integer indicating the type of `Selector`